/* google fonts - Poppins */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

:root {
	--header-height: 3rem;

	/* colors */
	--first-color: #0c2642;
	--first-color-lighter: #ecf3f2;
	--title-color: #6a8d92;
	--text-color: #80b192;
	--body-color: #f5fffe;

	/* font & typography */
	--body-font: 'Poppins', sans-serif;
	--biggest-font-size: 3rem;
	--big-font-size: 1.25rem;
	--normal-font-size: 0.938rem;

	/* font weight */
	--font-medium: 500;
	--font-semi-bold: 600;

	/* z index */
	--z-tooltip: 10;
	--z-fixed: 100;
}

@media screen and (min-width: 1024px) {
	:root {
		--biggest-font-size: 5.5rem;
		--big-font-size: 2rem;
		--normal-font-size: 1rem;
	}
}

*,
::before,
::after {
	box-sizing: border-box;
}

body,
html {
	overflow-x: hidden;
}

body {
	margin: 0;
	font-family: var(--body-font);
	font-size: var(--normal-font-size);
	background-color: var(--body-color);
	color: var(--text-color);
}

h1,
h2,
ul,
p {
	margin: 0;
}

ul {
	padding: 0;
	list-style: none;
}

a {
	text-decoration: none;
}

img {
	max-width: 100%;
	height: auto;
}

/* layout */
.main {
	position: relative;
}

.bd-container {
	max-width: 968px;
	margin-left: 5.5rem;
	margin-right: 1.5rem;
}

/* header */
.header {
	width: 100%;
	position: fixed;
	top: 0;
	left: 0;
	z-index: var(--z-fixed);
}

/* nav */
.nav {
	max-width: 100vw;
	padding-left: 5rem;
	padding-right: 5rem;
	height: var(--header-height);
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: var(--first-color);
}

@media screen and (max-width: 768px) {
	.nav__menu {
		position: fixed;
		top: -100%;
		left: 0;
		right: 0;
		width: 90%;
		margin: 0 auto;
		text-align: center;
		padding-top: 1.5rem;
		background-color: var(--first-color-lighter);
		border-radius: 1rem;
		transition: 0.4s;
	}
}

.nav__logo,
.nav__toggle {
	color: var(--body-color);
	font-size: var(--big-font-size);
	font-weight: var(--font-semi-bold);
}

.nav__link {
	color: var(--title-color);
	font-weight: var(--font-medium);
}

.nav__item {
	margin-bottom: 1.5rem;
}

.nav__toggle {
	font-size: 1.2rem;
	cursor: pointer;
}

/* show menu */
.show-menu {
	top: calc(var(--header-height) + 1rem);
}

/* boats */
.boats {
	height: 100vh;
	position: relative;
}

.boats__bg {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
	object-fit: cover;
	object-position: center;
}

.boats__container {
	position: relative;
	height: 100%;
	display: grid;
	grid-template-columns: 2fr 0.25fr;
	align-content: center;
}

.boats__subtitle,
.boats__title,
.boats__description {
	color: var(--first-color-lighter);
}

.yacht {
	color: var(--first-color);
}

.boats__subtitle {
	font-size: var(--big-font-size);
	font-weight: var(--font-medium);
}

.boats__title {
	font-size: var(--biggest-font-size);
}

.boats__description {
	margin-bottom: 1rem;
}

.boats__button {
	display: inline-flex;
	align-items: center;
	padding: 1rem 1.5rem;
	background-color: var(--first-color-lighter);
	color: var(--first-color);
	border-radius: 0.5rem;
	font-weight: var(--font-medium);
}

.boats__button:hover {
	background-color: var(--first-color);
	color: var(--first-color-lighter);
}

.boats__button-icon {
	font-size: 1.5rem;
	margin-left: 0.5rem;
}

/* controls */
.controls__img {
	width: 35px;
	height: 35px;
	border-radius: 0.5rem;
	cursor: pointer;
}

.controls {
	position: absolute;
	bottom: 2rem;
	left: 50%;
	transform: translate(-50%);
	padding: 0.25rem 0.5rem;
	background-color: var(--first-color-lighter);
	border-radius: 0.75rem;
	z-index: var(--z-tooltip);
	overflow: hidden;
}

.controls__container {
	display: flex;
	align-items: center;
	column-gap: 1rem;
}

.swiper-slide-thumb-active {
	width: 45px;
	height: 45px;
}

/* about us */
.we-are-block {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	flex-wrap: nowrap;
	width: 100%;
	height: 100vw;
}

@media screen and (max-width: 860px) {
	.we-are-block {
		height: 2200px;
	}
}

@media screen and (max-width: 500px) {
	.we-are-block {
		height: 2300px;
	}
}

#about-us-section {
	background: var(--first-color);
	width: 100%;
	height: 50%;
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	align-items: center;
	justify-content: center;
	position: relative;
}

@media screen and (max-width: 860px) {
	#about-us-section {
		flex-direction: column;
		justify-content: space-between;
	}
}

.about-us-image {
	position: absolute;
	top: 0;
	right: 0;
	height: 100%;
	width: 50%;
	align-items: right;
	overflow: hidden;
}

@media screen and (max-width: 860px) {
	.about-us-image {
		position: relative;
		width: 100%;
		height: 45%;
	}
}

@media screen and (max-width: 747px) {
	.about-us-image {
		height: 35%;
	}
}

@media screen and (max-width: 644px) {
	.about-us-image img {
		position: absolute;
		left: -220px;
	}
}

.about-us-info {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	justify-content: space-evenly;
	width: 40%;
	height: 80%;
	margin-right: 850px;
	margin-left: 12px;
	z-index: 2;
}

@media screen and (max-width: 1353px) {
	.about-us-info {
		margin-right: 400px;
		width: 60%;
		background: var(--first-color);
		padding: 0px 25px 0px 0px;
	}
}

@media screen and (max-width: 1238px) {
	.about-us-info {
		margin-right: 340px;
		width: 100%;
	}
}

@media screen and (max-width: 1111px) {
	.about-us-info {
		margin-right: 270px;
	}
}

@media screen and (max-width: 910px) {
	.about-us-info {
		margin-right: 150px;
	}
}

@media screen and (max-width: 860px) {
	.about-us-info {
		margin: 0px 0px 0px 0px !important;
		padding: 0px 20px 0px 20px !important;
		width: 100%;
		height: 55%;
		align-items: center;
	}
}

@media screen and (max-width: 747px) {
	.about-us-info {
		height: 65%;
	}
}

.about-us-info h2 {
	color: white;
	font-size: 40pt;
	text-align: right;
}

@media screen and (max-width: 860px) {
	.about-us-info h2 {
		text-align: center;
	}
}

.about-us-info p {
	color: white;
	font-size: 14pt;
	text-align: right;
}

@media screen and (max-width: 860px) {
	.about-us-info p {
		text-align: center;
	}
}

.about-us-info a {
	background-color: white;
	color: var(--first-color);
	width: 180px;
	text-align: center;
	padding: 15px 0px 15px 0px;
	font-size: 14pt;
	box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px;
}

.about-us-info a:hover {
	background: var(--title-color);
	color: white;
	box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
	transform: translateY(10px);
}

#history-section {
	width: 100%;
	height: 50%;
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	align-items: center;
	justify-content: center;
	position: relative;
}

@media screen and (max-width: 860px) {
	#history-section {
		flex-direction: column;
		justify-content: space-between;
	}
}

.history-image {
	position: absolute;
	top: 0;
	left: 0;
	max-width: 820px;
	height: 100%;
	overflow: hidden;
}

@media screen and (max-width: 860px) {
	.history-image {
		position: relative;
		width: 100%;
		height: 40%;
	}
}

@media screen and (max-width: 747px) {
	.history-image {
		height: 35%;
	}
}

@media screen and (max-width: 644px) {
	.history-image img {
		position: absolute;
		right: -220px;
	}
}

.history-info {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: space-evenly;
	width: 40%;
	height: 80%;
	margin-left: 850px;
	margin-right: 12px;
	z-index: 2;
}

@media screen and (max-width: 1353px) {
	.history-info {
		margin-left: 400px;
		width: 60%;
		background: #fff;
		padding: 0px 0px 0px 25px;
	}
}

@media screen and (max-width: 1238px) {
	.history-info {
		margin-left: 340px;
		width: 100%;
	}
}

@media screen and (max-width: 1111px) {
	.history-info {
		margin-left: 270px;
	}
}

@media screen and (max-width: 910px) {
	.history-info {
		margin-left: 150px;
	}
}

@media screen and (max-width: 860px) {
	.history-info {
		margin: 0px 0px 0px 0px !important;
		padding: 0px 40px 0px 40px !important;
		width: 100%;
		height: 60%;
		align-items: center;
	}
}

@media screen and (max-width: 747px) {
	.history-info {
		height: 65%;
	}
}

.history-info h2 {
	color: var(--first-color);
	font-size: 40pt;
	text-align: left;
}

@media screen and (max-width: 860px) {
	.history-info h2 {
		text-align: center;
	}
}

.history-info p {
	color: var(--first-color);
	font-size: 14pt;
	text-align: left;
}

@media screen and (max-width: 860px) {
	.history-info p {
		text-align: center;
	}
}

.history-info a {
	background-color: var(--first-color);
	color: var(--first-color-lighter);
	width: 180px;
	text-align: center;
	padding: 15px 0px 15px 0px;
	font-size: 14pt;
	box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px;
}

.history-info a:hover {
	background: var(--first-color-lighter);
	color: var(--first-color);
	box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
	transform: translateY(10px);
}

/* services */
.section_title {
	font-size: 40px;
	font-weight: bold;
	color: inherit;
	margin: 0;
	margin-bottom: 15px;
	text-align: center;
}

.section_details {
	text-align: center;
	font-size: 25px;
	color: #ffffffaa;
}

.our_service_section {
	background-color: var(--first-color);
	background-size: cover;
	background-position: left top;
	background-repeat: no-repeat;
	min-height: 100vh;
	color: #fff;
	position: relative;
	padding: 100px 20px;
}

.our_service_section > * {
	position: relative;
	z-index: 1;
}

.our_service_section::before {
	content: '';
	background-image: linear-gradient(150deg, #fdfdfd2e -50%, transparent 70%);
	display: inline-block;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	clip-path: polygon(100% 0, 0 100%, 100% 100%);
}

.our_service_section > .single_service_container {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(200px, 400px));
	justify-content: center;
	gap: 30px;
	margin-top: 80px;
}

.our_service_section > .single_service_container > .single_service {
	max-width: 450px;
	background-color: var(--title-color);
	padding: 25px 30px;
	border-radius: 6px 6px 0px 6px;
	box-shadow: 0 5px 16px #0008;

	transition: 0.3s ease-in-out;
}

.our_service_section > .single_service_container > .single_service .top {
	display: flex;
	align-items: center;
	margin-bottom: 30px;
}

.our_service_section > .single_service_container > .single_service .top .icon {
	background: rgba(255, 255, 255, 0.096);
	display: inline-block;
	min-width: 100px;
	height: 100px;
	font-size: 50px;
	color: #fff;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	border: 4px solid var(--text-color);
	box-shadow: 0 5px 10px #0003;
	transition: 0.3s ease-in-out;
}

.our_service_section > .single_service_container > .single_service .top .text {
	width: 100%;
	margin-left: 20px;
}

.our_service_section > .single_service_container > .single_service .top .text .__one,
.our_service_section > .single_service_container > .single_service .top .text .__two {
	margin: 15px 0;
}

.our_service_section > .single_service_container > .single_service .top .text .__one {
	color: var(--first-color-lighter);
}

.our_service_section > .single_service_container > .single_service .top .text .__two {
	font-size: 22px;
	color: var(--first-color-lighter);
}

.our_service_section > .single_service_container > .single_service .bottom {
	color: var(--first-color-lighter);
	font-size: 18px;
	line-height: 1.5;
	font-weight: 400;
}

.our_service_section > .single_service_container > .single_service:hover {
	background-color: var(--text-color);
}

.our_service_section > .single_service_container > .single_service:hover .icon {
	border-color: var(--title-color);
	background-color: var(--text-color);
	color: var(--first-color-lighter);
}

/* contact us */
.container {
	max-width: 1080px;
	margin-left: auto;
	margin-right: auto;
	padding-left: 2rem;
	padding-right: 2rem;
	padding-top: 2rem;
}

.section-header {
	margin-bottom: 50px;
	text-align: center;
}

.section-header h2 {
	color: var(--first-color);
	font-weight: bold;
	font-size: 3em;
	margin-bottom: 20px;
}

.section-header p {
	color: var(--first-color);
}

.row {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
}

.contact-info {
	width: 50%;
}

.contact-info-item {
	display: flex;
	margin-bottom: 30px;
}

.contact-info-icon {
	height: 70px;
	width: 70px;
	background-color: var(--first-color);
	text-align: center;
	border-radius: 50%;
}

.contact-info-icon i {
	font-size: 30px;
	line-height: 70px;
}

.contact-info-content {
	margin-left: 20px;
}

.contact-info-content h4 {
	color: var(--text-color);
	font-size: 1.4em;
	margin-bottom: 5px;
}

.contact-info-content p {
	color: var(--first-color);
	font-size: 1em;
}

.contact-form {
	background-color: var(--first-color-lighter);
	padding: 40px;
	width: 45%;
	padding-bottom: 20px;
	padding-top: 20px;
}

.contact-form h2 {
	font-weight: bold;
	font-size: 2em;
	margin-bottom: 10px;
	color: var(--first-color);
}

.contact-form .input-box {
	position: relative;
	width: 100%;
	margin-top: 10px;
}

.contact-form .input-box input,
.contact-form .input-box textarea {
	width: 100%;
	padding: 5px 0;
	font-size: 16px;
	margin: 10px 0;
	border: none;
	border-bottom: 2px solid var(--first-color);
	outline: none;
	resize: none;
}

.contact-form .input-box span {
	position: absolute;
	left: 0;
	padding: 5px 0;
	font-size: 16px;
	margin: 10px 0;
	pointer-events: none;
	transition: 0.5s;
	color: var(--first-color);
}

.contact-form .input-box input:focus ~ span,
.contact-form .input-box textarea:focus ~ span {
	color: var(--text-color);
	font-size: 12px;
	transform: translateY(-20px);
}

.contact-form .input-box input[type='submit'] {
	width: 100%;
	background: var(--first-color);
	color: #fff;
	border: none;
	cursor: pointer;
	padding: 10px;
	font-size: 18px;
	border: 1px solid var(--first-color);
	transition: 0.5s;
}

.contact-form .input-box input[type='submit']:hover {
	background: var(--first-color-lighter);
	color: var(--first-color);
}

@media (max-width: 991px) {
	section {
		padding-top: 50px;
		padding-bottom: 50px;
	}

	.row {
		flex-direction: column;
	}

	.contact-info {
		margin-bottom: 40px;
		width: 100%;
	}

	.contact-form {
		width: 100%;
	}
}

/* media queries */
/* For small devices */
@media screen and (max-width: 320px) {
	.bd-container {
		margin-left: 1rem;
		margin-right: 1rem;
	}
	.controls__container {
		column-gap: 0.25rem;
	}
	.boats__popup-video {
		width: 230px;
		height: 100px;
		margin: 1rem;
		padding: 1rem 1rem;
	}
}

@media screen and (min-width: 768px) {
	.nav {
		height: calc(var(--header-height) + 1.5rem);
	}
	.nav__list {
		display: flex;
	}
	.nav__item {
		margin-right: 2rem;
		margin-bottom: 0;
	}
	.nav__link {
		color: var(--body-color);
	}
	.nav__toggle {
		display: none;
	}
	.boats__container {
		grid-template-columns: repeat(2, 1fr);
	}
	.boats__description {
		padding-right: 5rem;
		margin-bottom: 2rem;
	}
	.boats__video {
		justify-content: center;
		align-items: center;
		padding: 0;
	}
	.boats__video-icon {
		font-size: 3rem;
	}
	.boats__popup-video {
		width: 500px;
		height: 250px;
	}
	.boats__popup-close {
		font-size: 1.5rem;
	}
	.controls {
		padding: 0.5rem;
		border-radius: 1.25rem;
	}
	.controls__container {
		column-gap: 1.5rem;
	}
	.controls__img {
		width: 45px;
		height: 45px;
		border-radius: 0.75rem;
	}
	.swiper-slide-thumb-active {
		width: 55px;
		height: 55px;
	}
}

@media screen and (min-width: 1024px) {
	.bd-container {
		margin-left: auto;
		margin-right: auto;
	}
	.boats__description {
		padding-right: 11rem;
	}
}

/* footer */

.copyright {
	color: var(--first-color-lighter);
	background-color: var(--first-color);
	text-align: center;
	padding: 2rem;
}

.copyright a {
	text-decoration: none;
	color: white;
	font-weight: bold;
}

/* about-the-section */
.about-the-section {
	align-content: center;
}

.about-the-card {
	float: left;
	padding: 1rem;
}

.about-the-card iframe {
	width: 30vw;
	height: 35vh;
}

.about-the-card h3 {
	text-align: center;
}

.flag-btn {
	background-color: transparent;
	border: none;
	cursor: pointer;
}

.flag-img {
	width: 30px;
	height: 20px;
	display: grid;
	place-items: center;
}
